using System;
using System.Drawing;
using System.Windows.Forms;
using WindowsApplication1.Properties;

namespace WindowsApplication1
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void splitContainer1_MouseUp(object sender, MouseEventArgs e)
        {
            menuStrip1.Focus();
        }

        private void splitContainer2_MouseUp(object sender, MouseEventArgs e)
        {
            menuStrip1.Focus();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Icon = Icon.FromHandle(Resources.Outlook.GetHicon());
            if (Settings.Default.main_form_height != 0 && Settings.Default.main_form_width != 0)
            {
                Width = Settings.Default.main_form_width;
                Height = Settings.Default.main_form_height;
            }
        }

        private void MainForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            Settings.Default.main_form_height = Height;
            Settings.Default.main_form_width = Width;
            Settings.Default.Save();
        }
    }
}